libxml++ 2.40.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
xmlpp::NonCopyable Class Reference

A base for classes which cannot be copied. More...

`#include <libxml++/noncopyable.h>`

Inheritance diagram for xmlpp::NonCopyable:
[legend]

## Protected Member Functions
| NonCopyable ()
| NonCopyable (const NonCopyable&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete

## Detailed Description

A base for classes which cannot be copied.

## Constructor & Destructor Documentation

xmlpp::NonCopyable::NonCopyable | ( |  | ) |
| protected

virtual xmlpp::NonCopyable::~NonCopyable | ( |  | ) |
| protected virtual

xmlpp::NonCopyable::NonCopyable | ( | const NonCopyable& |  | ) |
| protected delete

## Member Function Documentation

NonCopyable& xmlpp::NonCopyable::operator= | ( | const NonCopyable& |  | ) |
| protected delete